import { aws_elasticache as elasticache } from 'aws-cdk-lib';
import * as ec2 from 'aws-cdk-lib/aws-ec2';
import { Construct } from 'constructs';
export interface IRedisClusterProps {
    envName: string;
    vpc: ec2.IVpc;
    cacheNodeType?: string;
    engine?: string;
    engineVersion?: string;
    replicasPerNodeGroup?: number;
    autoMinorVersionUpgrade?: boolean;
    automaticFailoverEnabled?: boolean;
    multiAzEnabled?: boolean;
    allowFromConstructs?: {
        [key: string]: ec2.IConnectable;
    };
    clusterMode?: string;
    globalReplicationGroupId?: string;
    allowFrom?: ec2.ISecurityGroup;
}
export declare class TmElasticacheRedisCluster extends Construct {
    readonly securityGroup: ec2.SecurityGroup;
    readonly subnetGroup: elasticache.CfnSubnetGroup;
    readonly cluster: elasticache.CfnReplicationGroup;
    readonly parameterGroup?: elasticache.CfnParameterGroup;
    constructor(scope: Construct, id: string, props: IRedisClusterProps);
}
